dh-r (20200923) unstable; urgency=medium

  [ Andreas Tille ]
  * Fetch more binary data documentation for d/README.source
  * Fix autopkgtest for some testthat base tests

  [ Steffen Moeller ]
  * Added copyright start for BioConductor packages.
  * Revisited hardening of test for existing packages against
    reporting virtual packages as existing.

 -- Andreas Tille <tille@debian.org>  Wed, 23 Sep 2020 09:04:02 +0200

dh-r (20200911) unstable; urgency=medium

  [ Steffen Moeller ]
  * Added -h and --help as arguments
  * Avoid reporting referenced packages as existing
  * Bumped Debian policy to 4.5
  * Fix reaction to unfortunate GPL3 description

  [ Andreas Tille ]
  * Deal with different spelling of Artistic license

 -- Andreas Tille <tille@debian.org>  Fri, 11 Sep 2020 09:23:10 +0200

dh-r (20200710) unstable; urgency=medium

  [ Andreas Tille ]
  * itp_from_debian_dir:
     - check if package exists in Debian
     - check if package was ITPed before

  [ Dylan Aïssi ]
  * Fix generation of r-api-bioc dependency when Bioconductor packages
    have 'master' in their 'git_branch' field.
  * Simplify code to generate 'depends'
  * Add myself to Uploaders
  * Add Rules-Requires-Root: no
  * Add d/salsa-ci.yml
  * Use correct binary package for variables substitution (Closes: #964371)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 10 Jul 2020 08:43:29 +0200

dh-r (20200314) unstable; urgency=medium

  * Team upload

  [ Steffen Moeller ]
  * Added debian/TODO
  * scripts/prepare_missing_cran_package
    - finds packages in BioC data/annotation
    - finds packages already installed on local system

  [ Sébastien Villemot ]
  * dh-make-R: Add “Rules-Requires-Root: no” to generated debian/control

  [ Andreas Tille ]
  * Fix prepare_missing_cran_package to fetch BioConductor data

  [ Dylan Aïssi ]
  * Update pkg-r-autopkgtest
  * Enable more tests only for r-bioc-*
  * Add r-base-dev to pkg-r-autopkgtest deps
  * Remove r-cran-testthat to pkg-r-autopkgtest deps
  * Update standards version to 4.5.0, no changes needed.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 14 Mar 2020 15:12:01 +0100

dh-r (20200104) unstable; urgency=medium

  [ Andreas Tille ]
  * dh-make-R: Add CC0 license
  * dh/R.pm: Add LinkingTo

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.4.1, no changes needed.

 -- Andreas Tille <tille@debian.org>  Sat, 04 Jan 2020 23:05:59 +0100

dh-r (20190917) unstable; urgency=medium

  [ Johannes Schauer ]
  * Add salsa-ci.yml

  [ Andreas Tille ]
  * dh-make-R: Support LGPL-2.1

 -- Andreas Tille <tille@debian.org>  Tue, 17 Sep 2019 10:08:47 +0200

dh-r (20190807) unstable; urgency=medium

  * dh-make-R:
     - Better detection of GPL-3+
     - Fix downloadurlmangle of BioC packages
  * prepare_missing_cran_package: Adapt downloadurlmangle of BioC packages

 -- Andreas Tille <tille@debian.org>  Wed, 07 Aug 2019 08:50:52 +0200

dh-r (20190802) unstable; urgency=medium

  * dh-make-R: Fix string comparison for licenses
  * prepare_missing_cran_package: Fix detection of packages in new queue
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Fri, 02 Aug 2019 09:47:53 +0200

dh-r (20190722) unstable; urgency=medium

  [ Gordon Ball ]
  * Support either d/compat or debhelper-compat in Build-Depends when running
    dh-update-R: the result is the same style as the package previously used.
    Closes: #932179

  [ Andreas Tille ]
  * Enable preparing packages even if ITPed before
  * dh-make-R creates debhelper-compat Build-Depends

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jul 2019 13:57:54 +0200

dh-r (20190612) unstable; urgency=medium

  [ Andreas Tille ]
  * prepare_missing_cran_package: Do not try to create package from packages
    that are just in unstable.

  [ Michael Crusoe ]
  * itp_from_debian_dir: directly call reportbug and file ITP bug without
    user interaction

  [ Andreas Tille ]
  * Add extra argument to itp_from_debian_dir which is appended as additional
    remark
  * Lintian is not warning about docs outside /usr/share/doc any more thus drop
    automatic lintian override
    Closes: #930369
  * prepare_missing_cran_package: Seek also for BioConductor data packages

 -- Andreas Tille <tille@debian.org>  Thu, 04 Jul 2019 10:05:30 +0200

dh-r (20190121) unstable; urgency=medium

  * dh-make-R
     - Standards-Version: 4.3.0
     - Debhelper 12
     - create debian/tests/control instead of debian/tests/control.autodep8
  * Consistently set LC_ALL=C.UTF-8 in all scripts

 -- Andreas Tille <tille@debian.org>  Mon, 21 Jan 2019 11:01:27 +0100

dh-r (20190110) unstable; urgency=medium

  * Create lintian-override not for any *.txt file but rather for README
    and README.md
  * Enhance output about the reason for the lintian-override
  * dh-update-R: Versioned debhelper dependency according to debian/compat
  * Standards-Version: 4.3.0
  * debhelper 12

 -- Andreas Tille <tille@debian.org>  Thu, 10 Jan 2019 16:53:16 +0100

dh-r (20181206) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * dh-make-R now adds MPL-2.0 license

  [ Dylan Aïssi ]
  * Remove check for stats4 and zlibbioc before to start a new packaging:
     - stats4 is now correctly defined as a core package.
     - zlibbioc is now packaged to avoid to patch many Bioconductor packages.
  * Add a script to convert CITATION into debian/upstream/metadata.
  * Relax the requirement of 'git_branch' field (Closes: #915717).

 -- Dylan Aïssi <daissi@debian.org>  Thu, 06 Dec 2018 18:18:24 +0100

dh-r (20181205) unstable; urgency=medium

  * Team upload.
  * Do not override lintian-overrides file at build time.
  * Improve pkg-r-autopkgtest, still desactivated.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 05 Dec 2018 07:22:39 +0100

dh-r (20181126) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Create lintian-overrides for README files
  * No lintian-overrides for CMakeLists.txt

  [ Dylan Aïssi ]
  * Fix unbuildable Bioconductor packages when they do not depend
     on r-bioc-biocgenerics.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 26 Nov 2018 21:10:01 +0100

dh-r (20181123) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Detect LGPL-2+

  [ Dylan Aïssi ]
  * Add initial support of virtual r-api-bioc-xxx package.
     dh-r automatically add a virtual r-api-bioc-xxx into the provide field
     of r-bioc-biocgenerics.
     All other bioconductor packages will depend on this r-api-bioc-xxx to
     ensure they come from the same bioconductor release.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 23 Nov 2018 07:42:57 +0100

dh-r (20181101) unstable; urgency=medium

  * Exclude *.Rmd files from
    package-contains-documentation-outside-usr-share-doc
  * Check for lintian-excludes only in debian/ dir
  * For whatever reason the file spatstat.utils/doc/packagesizes.txt does
    not trigger the package-contains-documentation-outside-usr-share-doc
    warning - so this is not creating the lintian-override

 -- Andreas Tille <tille@debian.org>  Thu, 01 Nov 2018 11:06:24 +0100

dh-r (20181021) unstable; urgency=medium

  * Enhance detecting GPL-3 license
  * Create lintian-overrides for
    package-contains-documentation-outside-usr-share-doc
  * Deal with plain LGPL license

 -- Andreas Tille <tille@debian.org>  Sun, 21 Oct 2018 20:20:42 +0200

dh-r (20181007) unstable; urgency=medium

  * Deal with missing NeedsCompilation field
  * Create Standards-Version: 4.2.1
  * Enhance detecting GPL-2+ license
  * Remove https://orcid.org URLs from Copyright field

 -- Andreas Tille <tille@debian.org>  Sun, 07 Oct 2018 20:27:41 +0200

dh-r (20180917) unstable; urgency=medium

  * Add FIXME if DEBFULLNAME and DEBEMAIL is not found in environment
  * Drop --team and --noteam options

 -- Andreas Tille <tille@debian.org>  Mon, 17 Sep 2018 08:18:23 +0200

dh-r (20180912) unstable; urgency=medium

  * scripts/create_README.source: If title is really short (only one word)
    try to parse description
  * Depends: libswitch-perl
    Closes: #908643
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 12 Sep 2018 08:55:31 +0200

dh-r (20180823) unstable; urgency=medium

  * Point freshly created watch files to cloud.r-project.org rather than
    cran.r-project.org since the latter is often overloaded
  * dh-make-R: Add Apache License
  * Standards-Version: 4.2.0
  * Fix interpreter for Perl scripts

 -- Andreas Tille <tille@debian.org>  Thu, 23 Aug 2018 10:46:23 +0200

dh-r (20180713) unstable; urgency=medium

  * Revert injection of libgdal-dev which has nothing to do with gsl
  * Respect SystemRequirements and add libgsl-dev if it is set to gsl
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jul 2018 16:02:04 +0200

dh-r (20180712) unstable; urgency=medium

  * Make sure all variables are initialized to avoid uninitialized value
    warnings
  * If stats4 is in Depends or Imports the script gsl-config is needed in
    PATH and the header gsl/gsl_rng.h will be importet. This is provided
    by libgdal-dev which is added now to Build-Depends.

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jul 2018 14:50:36 +0200

dh-r (20180617) unstable; urgency=medium

  [ Steffen Moeller ]
  * Increased indent for line breaks in generated
    d/control

  [ Andreas Tille ]
  * Fix detection of Recommends

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jun 2018 15:45:18 +0200

dh-r (20180615) unstable; urgency=medium

  * Do not remove ${shlibs:Depends} because of missing NeedsCompilation
    field in DESCRIPTION file (for the moment simply check whether src/
    dir exists - may be this needs to be enhanced)
  * Enable X display via xvfb-run wrapper
    Closes: #901598

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jun 2018 14:30:58 +0200

dh-r (20180613) unstable; urgency=medium

  [ Andreas Tille ]
  * There is now a metapackage r-cran-bh providing BH (thus there is no
    need for excluding BH any more)
  * Do not replace random dependencies by libgdal-dev
  * Remove packages from Suggests that are just in Recommends
  * Versioned Recommends if DESCRIPTION has versioned Suggests
  * Do not try to create templates of missing packages when beeing offline
  * Recommends: devscripts (for wnpp-check)
  * Check whether wnpp-check is available before trying to create package
    template of a missing package

  [ Dylan Aïssi ]
  * Add testthat workflow testing to pkg-r-autopkgtest

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jun 2018 08:46:58 +0200

dh-r (20180601) unstable; urgency=medium

  * dh-update-R:
     - Keep versioned Build-Depends of dh-r if it was specified originally
  * dh/R.pm
     - Do not add @.* to Recommends

 -- Andreas Tille <tille@debian.org>  Sat, 02 Jun 2018 01:13:15 +0200

dh-r (20180527) unstable; urgency=medium

  * dh/r-cran.mk: Provide variables used in old cdbs makefile include
    Closes: #842092
  * Versioned Build-Depends: debhelper (>= 11.3)
    Closes: #899106

 -- Andreas Tille <tille@debian.org>  Sun, 27 May 2018 14:30:24 +0200

dh-r (20180526) unstable; urgency=medium

  * dh/R.pm
     - libgdal-dev is a packaged lib - do not seek for CRAN packages
  * scripts/dh-make-R
     - add AGPL-3
     - Respect LinkingTo for Build-Depends (and make sure no duplicates will
       be added when doing so)
     - Introduce Depencency formatting as in dh-update-R
     - Exclude shlibs:Depends from Arch:all packages
  * prepare_missing_cran_package
     - Fix creation of debian/README.source
  * dh/R.pm
     - Add DEP8 test Depends to ${R:Recommends} to enable running test suite
       once the package is installed

 -- Andreas Tille <tille@debian.org>  Sat, 26 May 2018 22:07:37 +0200

dh-r (20180524) unstable; urgency=medium

  * Add myself to Uploaders
  * prepare_missing_cran_package:
     - Remove download tarball completely since it is in pristine-tar
  * dh-make-R:
     - set proper name for GPL-3
     - try field "Packaged" in case copyright year would be empty
     - more reliable detection of license names
     - add LGPL-3
  * dh/R.pm
     - do not try to build package stats4
  * scripts/create_README.source
     - try harder to find doc for data

 -- Andreas Tille <tille@debian.org>  Thu, 24 May 2018 09:36:39 +0200

dh-r (20180514) unstable; urgency=medium

  * Team upload
  * prepare_missing_cran_package:
     - check new queue and wnpp first
     - create Git repository with packaging of new package
  * itp_from_debian_dir: Once you have created some packaging you want
    to ITP.  This script creates the text you can use in your ITP bug
    report
  * dh-make-R:
     - strip useless flags from Author string
     - set year when copyright ends
     - add some full license texts (needs to be tested and completed)
     - do not create unneeded debian/tests dir with empty control file
  * dh/R.pm
     - do not warn about missing package zlibbioc
  * Add create_README.source to /usr/share/dh-r

 -- Andreas Tille <tille@debian.org>  Mon, 14 May 2018 16:34:59 +0200

dh-r (20180508) unstable; urgency=medium

  * Team upload.
  * Enhance long description
  * dh-update-R:
     - Enable packages named ^r-.* as unmaintained dependencies when specified
       after other unmaintained dependencies.  This helps to keep some r-*
       Dependencies that are not detectable by ${R:Depends}
     - Do not drop unmanaged Depends
     - Fix formatting of unmanaged Depends
     - Respect LinkingTo for Build-Depends (and make sure no duplicates will
       be added when doing so)
  * dh-make-R:
     - test script should set LC_ALL=C.UTF-8 rather than LC_ALL=C
  * dh/R.pm
     - do not warn about missing package BH
  * scripts/prepare_missing_cran_package: Try to autogenerate missing packages

 -- Andreas Tille <tille@debian.org>  Tue, 08 May 2018 11:52:12 +0200

dh-r (20180506) unstable; urgency=medium

  * Team upload.
  * dh-update-R: Set Vcs-fields
  * Export substitution variables to debian/MAINPACKAGE.substvars
    Closes: #897262

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 14:09:52 +0200

dh-r (20180505) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * dh-update-R:
     - debhelper 11~
  * cme fix dpkg-control:
     - Standards-Version: 4.1.4
     - Point Vcs-fields to Salsa
     - Adapt sequence of fields to cme standard
  * debhelper 11
  * dh-update-R
     - Use same spacing as `cme fix dpkg-control`
     - Set Maintainer: Debian R Packages Maintainers
                       <r-pkg-team@alioth-lists.debian.net>
  * dh-make-R:
     - create debian/tests/control.autodep8 instead of debian/tests/control
       which keeps lintian silent about additional
         Testsuite: autopkgtest-pkg-r
     - Create "Standards-Version: 4.1.4"

  [ Dylan Aïssi ]
  * Update Maintainer of dh-r to Debian R Packages Maintainers.
  * Update Vcs fields for the r-pkg-team.
  * Change default comportment of dh-make-R, now generated fields target
     the R Packages team. A new option --noteam is available for non-team
     maintained packages.

  [ Vincent Danjean ]
  * Enable build with --sourcedirectory
    Closes: #878027

 -- Andreas Tille <tille@debian.org>  Sat, 05 May 2018 19:22:17 +0200

dh-r (20180403) unstable; urgency=medium

  * Team upload

  [ Dylan Aïssi ]
  * Team upload.
  * Improve support of packages from outside CRAN or Bioconductor repositories.
  * Switch dh-make-R generated VCS fields to salsa.
  * Sort dh-make-R generated d/control fields following the cme order.
  * Bump all Standards-Version to 4.1.3.
  * Build new binary package pkg-r-autopkgtest.

  [ Andreas Tille ]
  * Parse Priority recommended as ignore case
  * dh-make-R:
     - do not prefix debian/docs with package name
     - debhelper 11

 -- Dylan Aïssi <bob.dybian@gmail.com>  Tue, 03 Apr 2018 16:20:33 +0200

dh-r (20171201) unstable; urgency=medium

  [ Andreas Tille ]
  * dh-make-R: Vcs-Git != Vcs-Browser
  * Add a TODO for copyright year in the dh-make-R template

  [ Sébastien Villemot ]
  * Update dh-make-R templates to use AUTOPKGTEST_TMP instead of ADTTMP

  [ Dylan Aïssi ]
  * Use FIXME instead of TODO in templates to trigger lintian warnings

  [ Gordon Ball ]
  * Standards-Version: 4.1.2 (both for this package, and packaging
    generated using dh-make-R)
  * Packages generated with dh-make-R now automatically include
    Testsuite: autopkgtest-pkg-r, which should enable an autodep8
    namespace-can-be-imported test. This will be ignored if
    d/tests/control is present defining some other test(s).
  * Add script dh-update-R, which updates some fields in d/control
    after a new R tarball has been imported (closes: #881318)

 -- Gordon Ball <gordon@chronitis.net>  Fri, 01 Dec 2017 22:08:51 +0100

dh-r (20161219) unstable; urgency=medium

  * Team upload
  * Add manpage for dh-make-R
  * dh-make-R
     - Use suggested debci method to cleanup after testing
     - Add missing quotes

 -- Andreas Tille <tille@debian.org>  Mon, 19 Dec 2016 11:22:15 +0100

dh-r (20161130) unstable; urgency=medium

  * Team upload.

  [ Dylan Aïssi ]
  * dh-make-R:
    -d/control: Switch to the canonical URL of CRAN and Bioconductor
    -d/copyright: Add the Upstream-Contact and Source fields
    -d/watch: Switch to HTTPS for the Bioconductor link

  [ Andreas Tille ]
  * dh-make-R:
    -d/control: Make sure no empty package is injected inbetween ', ,'
                in case of empty $rdepends
     Closes: #846239
    -d/control: create debhelper 10 control files
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2016 15:16:08 +0100

dh-r (20160916) unstable; urgency=medium

  * Initial release (closes: #837953)

 -- Gordon Ball <gordon@chronitis.net>  Fri, 16 Sep 2016 11:25:42 +0200
